package cn.reghao.tnb.content.app.exam.model.vo;

import cn.reghao.tnb.content.app.exam.model.po.Paper;

import java.util.List;

/**
 * @author reghao
 * @date 2024-08-29 17:48:51
 */
public class PaperDetail {
    private String name;
    private String description;
    private int duration;
    private int totalScore;
    private List<QuestionInfo> questions;

    public PaperDetail(Paper paper, List<QuestionInfo> questions) {
        this.name = paper.getName();
        this.description = paper.getDescription();
        this.duration = paper.getDuration();
        this.totalScore = paper.getTotalScore();
        this.questions = questions;
    }
}
